import path_setting
from in_common.base_request import BaseRequest


class question_request(BaseRequest):
    def __init__(self):
        self.replyanswer = self.api_load(path_setting.QUESTION_CONFIG)
        print(self.data)

    # 回答详情页-  一/二级评论
    def reply_answer(self, current_city_id, answer_id, content, user_id=""):
        self.params["current_city_id"] = current_city_id
        self.params["answer_id"] = answer_id
        self.params["content"] = content
        self.params["user_id"] = user_id

        return self.api_send(self.replyanswer["reply_answer"])
